import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class MarketFacilitationIndexIndicator extends ItemwiseStrategyBasedIndicator {
    static $t: Type;
    constructor();
    protected get_q8(): ItemwiseIndicatorCalculationStrategy;
    readonly q8: ItemwiseIndicatorCalculationStrategy;
    protected get_qz(): Type;
    protected readonly qz: Type;
}
